python-openbabel-2.4.1-14.17.i586.rpm


Advertisement

Description

python-openbabel - Python bindings for Open Babel, a chemistry toolbox

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package filename python-openbabel-2.4.1-14.17.i586.rpm
Package name python-openbabel
Package version 2.4.1
Package release 14.17
Package architecture i586
Package type rpm
Category Productivity/Scientific/Chemistry
Homepage http://openbabel.sourceforge.net/
License GPL-2.0
Maintainer -
Download size 615.44 KB
Installed size 3.64 MB
Open Babel is a chemical toolbox understanding many formats of
chemical data. It allows to search, convert, analyze, or store data
from molecular modeling, chemistry, solid-state materials,
biochemistry, or related areas.

Alternatives

Package Version Architecture Repository
python-openbabel-2.4.1-20.18.x86_64.rpm 2.4.1 x86_64 Education
python-openbabel-2.4.1-20.18.i586.rpm 2.4.1 i586 Education
python-openbabel-2.4.1-14.17.x86_64.rpm 2.4.1 x86_64 Science
python-openbabel-2.4.1-4.5.x86_64.rpm 2.4.1 x86_64 openSUSE Oss
python-openbabel-2.4.1-4.5.i586.rpm 2.4.1 i586 openSUSE Oss
python-openbabel - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.4) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libopenbabel.so.5 -
libpython2.7.so.1.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
python = 2.7
python(abi) = 2.7

Provides

Name Value
python-openbabel = 2.4.1-14.17
python-openbabel(x86-32) = 2.4.1-14.17

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python-openbabel-2.4.1-14.17.i586.rpm
Source Package openbabel-2.4.1-14.17.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install python-openbabel rpm package:
    # zypper install python-openbabel

Files

Path
/usr/lib/python2.7/site-packages/_openbabel.so
/usr/lib/python2.7/site-packages/openbabel.py
/usr/lib/python2.7/site-packages/pybel.py

Changelog

2018-05-16 - guillaume.gardet@opensuse.org
- Backport https://github.com/openbabel/openbabel/commit/e26491
* fix_narrowing.patch
- Backport https://github.com/openbabel/openbabel/commit/8d707b
* fix_yasara.patch
2018-05-13 - wbauer@tmo.at
- Don't delete command line tools, include them in the main package
as with openbabel < 2.4
- Pass -ULIB_INSTALL_DIR to unset this var, the %cmake macro sets
it to %{_libdir} resulting in a duplicate /usr in the module
search path which causes the plugins not to be found (boo#997190)
2018-02-21 - wbauer@tmo.at
- Provide/Obsolete libopenbabel-devel for compatibility
2018-02-18 - jengelh@inai.de
- Fix RPM groups. Update descriptions.
2018-02-03 - wbauer@tmo.at
- Force python2 by passing -DPYTHON_EXECUTABLE=%{_bindir}/python2
to cmake to fix build on Tumbleweed
2017-02-06 - mailaender@opensuse.org
- build with wxWidgets support
- add baselibs.conf
- enable python support (for real now)
- add libinchi0 and openbabel sub packages
- correct the .so version suffix for libopenbabel
- Drop openbabel-2.3.1-no-build-date.patch
2016-11-20 - aloisio@gmx.com
- Update to version 2.4.1, see
https://sourceforge.net/projects/openbabel/files/openbabel/2.4.0
for changelog
- Dropped cripple_source.sh
- Replaced openbabel-2.2.3-no-build-date.patch with
sed regex
- Dropped build-checks.diff due to significant source
changes
- Dropped python-installdir.patch (included upstream)
- Dropped openbabel-gcc5.patch (included upstream)
2016-06-19 - schwab@suse.de
- openbabel-gcc6.patch: remove obsolete hunk
2016-06-17 - martin.liska@suse.com
- Fix errors seen by 02-check-gcc-output script.
2016-06-16 - tchvatal@suse.com
- Version update to 2.3.2 and cripple the tarball
* various small bugfixes, the git is far away from this but
upstream seems not to do releases
* Add patch to properly install bindings to right location:
+ python-installdir.patch

See Also

Package Description
python-polybori-0.8.3-2.56.i586.rpm Python core package for PolyBoRi
python-polybori-0.8.3-2.56.x86_64.rpm Python core package for PolyBoRi
python-pyMinuit2-1.1.0-2.17.i586.rpm Python wrapper for NVIDIA's CUDA API
python-pyMinuit2-1.1.0-2.17.x86_64.rpm Python wrapper for NVIDIA's CUDA API
python-pyipopt-0.8-1.35.i586.rpm A Python connector to Ipopt
python-pyipopt-0.8-1.38.x86_64.rpm A Python connector to Ipopt
python-pywps-3.2.1-2.20.i586.rpm OGC Web Processing Servisce in Python
python-pywps-3.2.1-2.20.x86_64.rpm OGC Web Processing Servisce in Python
python-qprogedit-3.2.2-1.14.noarch.rpm PyQt4 widget that implements a full-featured text editor
python-qutip-3.1.0-2.170.i586.rpm Quantum Toolbox in Python
python-qutip-3.1.0-2.170.x86_64.rpm Quantum Toolbox in Python
python-saga-gis-6.3.0-3.9.i586.rpm Python bindings for SAGA
python-saga-gis-6.3.0-3.9.x86_64.rpm Python bindings for SAGA
python-svm-3.21-1.17.noarch.rpm Python bindings libsvm
python2-GDAL-2.4.1-106.3.i586.rpm GDAL Python module
Advertisement
Advertisement